#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.16
visibility:           public
id:                   foldl-1.4.16-FvQoiHHcFK67fMFA8AZPaF
key:                  foldl-1.4.16-FvQoiHHcFK67fMFA8AZPaF
license:              BSD-3-Clause
copyright:            2013 Gabriella Gonzalez
maintainer:           GenuineGabriella@gmail.com
author:               Gabriella Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  96bb0bf32b1ca656b680aec639b14cf7
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.NonEmpty
    Control.Foldl.Text Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-9.2.8/site-local/foldl-1.4.16
library-dirs:         /usr/lib/ghc-9.2.8/site-local/foldl-1.4.16
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-foldl
hs-libraries:         HSfoldl-1.4.16-FvQoiHHcFK67fMFA8AZPaF
depends:
    base-4.16.4.0 bytestring-0.11.4.0
    comonad-5.0.8-84b3BezuKhZBFe3aAOK7zo containers-0.6.5.1
    contravariant-1.5.5-6oWUjmJNxDBFhugVD5s9dq
    hashable-1.4.4.0-4qKxN3FrXfb4sBBhra6sdO
    primitive-0.7.4.0-FVB8RLw7kwa2mbgh0KVHMG
    profunctors-5.6.2-5OpgspEUbplLWaTkoK7BoP
    random-1.2.1.2-63YyeAkIomQIeqEHAnFCk1
    semigroupoids-5.3.7-6de0LhpTIq5Evno33LzoOj text-1.2.5.0
    transformers-0.5.6.2
    unordered-containers-0.2.20-A3yVeSkjdcGAgke7XFfywE
    vector-0.13.1.0-G7FmTKS6EuOC4CxSRTf251

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

